Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTabbedPaneUI.TabbedPaneLayout

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicTabbedPaneUI.TabbedPaneLayout

Direct Known Subclasses:
  MetalTabbedPaneUI.TabbedPaneLayout

public class BasicTabbedPaneUI.TabbedPaneLayout
extends java.lang.Object
implements java.awt.LayoutManager

This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicTabbedPaneUI.

Constructor Summary
`BasicTabbedPaneUI.TabbedPaneLayout()`

Method Summary
`void` | `addLayoutComponent(java.lang.String name, java.awt.Component comp)`
`void` | `calculateLayoutInfo()`
`protected java.awt.Dimension` | `calculateSize(boolean minimum)`
`protected void` | `calculateTabRects(int tabPlacement, int tabCount)`
`void` | `layoutContainer(java.awt.Container parent)`
`java.awt.Dimension` | `minimumLayoutSize(java.awt.Container parent)`
`protected void` | `normalizeTabRuns(int tabPlacement, int tabCount, int start, int max)`
`protected void` | `padSelectedTab(int tabPlacement, int selectedIndex)`
`protected void` | `padTabRun(int tabPlacement, int start, int end, int max)`
`java.awt.Dimension` | `preferredLayoutSize(java.awt.Container parent)`
`protected int` | `preferredTabAreaHeight(int tabPlacement, int width)`
`protected int` | `preferredTabAreaWidth(int tabPlacement, int height)`
`void` | `removeLayoutComponent(java.awt.Component comp)`
`protected void` | `rotateTabRuns(int tabPlacement, int selectedRun)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicTabbedPaneUI.TabbedPaneLayout

    public BasicTabbedPaneUI.TabbedPaneLayout()

Method Detail

### addLayoutComponent

    public void addLayoutComponent(java.lang.String name,
                                   java.awt.Component comp)

  Specified by:
    addLayoutComponent in interface java.awt.LayoutManager

### removeLayoutComponent

    public void removeLayoutComponent(java.awt.Component comp)

  Specified by:
    removeLayoutComponent in interface java.awt.LayoutManager

### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container parent)

  Specified by:
    preferredLayoutSize in interface java.awt.LayoutManager

### minimumLayoutSize

    public java.awt.Dimension minimumLayoutSize(java.awt.Container parent)

  Specified by:
    minimumLayoutSize in interface java.awt.LayoutManager

### calculateSize

    protected java.awt.Dimension calculateSize(boolean minimum)

### preferredTabAreaHeight

    protected int preferredTabAreaHeight(int tabPlacement,
                                         int width)

### preferredTabAreaWidth

    protected int preferredTabAreaWidth(int tabPlacement,
                                        int height)

### layoutContainer

    public void layoutContainer(java.awt.Container parent)

  Specified by:
    layoutContainer in interface java.awt.LayoutManager

### calculateLayoutInfo

    public void calculateLayoutInfo()

### calculateTabRects

    protected void calculateTabRects(int tabPlacement,
                                     int tabCount)

### rotateTabRuns

    protected void rotateTabRuns(int tabPlacement,
                                 int selectedRun)

### normalizeTabRuns

    protected void normalizeTabRuns(int tabPlacement,
                                    int tabCount,
                                    int start,
                                    int max)

### padTabRun

    protected void padTabRun(int tabPlacement,
                             int start,
                             int end,
                             int max)

### padSelectedTab

    protected void padSelectedTab(int tabPlacement,
                                  int selectedIndex)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.